Artha API
  1. Funding
  • Introduction
  • Authentication
  • KYC/KYB Requirements
  • API Setup Guide
  • Card API Integration Flow
  • Customers
    • Create Customer
      POST
    • List Customers
      GET
    • Get Customer
      GET
    • Update Customer
      PATCH
  • Cards
    • Submit KYC/KYB Applicant
      POST
    • Get Applicant KYC Status
      GET
    • Issue Card
      POST
    • Cards List
      GET
    • Get Card
      GET
    • Get Sensitive Card Details
      GET
  • Card Operations
    • Activate Card
      POST
    • Freeze Card
      POST
    • Unfreeze Card
      POST
    • Cancel Card
      POST
    • Replace Card
      POST
    • Set / Reset Card PIN
      POST
    • Get Card Limits
      GET
    • Update Card Limits
      POST
  • Funding
    • Top Up Card
      POST
    • Get Top-Up Status
      GET
    • Get Card Balance
      GET
    • List Top-Up History
      GET
  • Transactions
    • List All Transactions
    • List Card Transactions
    • List Customer Transactions
    • Get Transaction
  • Products
    • List Products
    • Get Product
  • Utilities
    • Upload Documents
  • Webhook's
    • Webhooks
  1. Funding

Get Top-Up Status

GET
/api/v1/cards/topupstatus/{topupId}
Returns the current status of a top-up transaction.

Request

Path Params

Header Params

Responses

🟢200
application/json
Top-up status retrieved successfully
Body

🟠400
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/v1/cards/topupstatus/' \
--header 'X-API-Key;' \
--header 'X-Signature;' \
--header 'X-Timestamp;' \
--header 'X-Nonce;' \
--header 'X-Body-Hash;'
Response Response Example
200 - Success
{
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "cardId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "amount": 100.50,
    "currency": "USD",
    "status": "Approved",
    "createdAt": "2026-03-31T10:15:30Z"
}
Modified at 2026-03-31 13:41:02
Previous
Top Up Card
Next
Get Card Balance
Built with